Accepting request 932594 from Virtualization
OBS-URL: https://build.opensuse.org/request/show/932594 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/libvirt?expand=0&rev=343
This commit is contained in:
commit
da93d7b9a8
@ -1,3 +1,16 @@
|
||||
-------------------------------------------------------------------
|
||||
Fri Nov 19 21:22:27 UTC 2021 - James Fehlig <jfehlig@suse.com>
|
||||
|
||||
- virt-create-rootfs: Fix repository URLs
|
||||
Updated virt-create-rootfs.patch
|
||||
boo#1192318
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Wed Nov 17 16:27:39 UTC 2021 - James Fehlig <jfehlig@suse.com>
|
||||
|
||||
- spec: Weaken apparmor-abstractions dependency to Recommends
|
||||
bsc#1192119
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Thu Nov 4 16:29:03 UTC 2021 - James Fehlig <jfehlig@suse.com>
|
||||
|
||||
|
@ -367,7 +367,7 @@ Requires: qemu-ovmf-x86_64
|
||||
Requires: qemu-uefi-aarch64
|
||||
%endif
|
||||
%if %{with_apparmor}
|
||||
Requires: apparmor-abstractions
|
||||
Recommends: apparmor-abstractions
|
||||
%endif
|
||||
|
||||
# Ensure smooth upgrades
|
||||
|
@ -2,7 +2,7 @@ Index: libvirt-7.9.0/tools/virt-create-rootfs
|
||||
===================================================================
|
||||
--- /dev/null
|
||||
+++ libvirt-7.9.0/tools/virt-create-rootfs
|
||||
@@ -0,0 +1,231 @@
|
||||
@@ -0,0 +1,236 @@
|
||||
+#!/bin/sh
|
||||
+set -e
|
||||
+
|
||||
@ -222,10 +222,15 @@ Index: libvirt-7.9.0/tools/virt-create-rootfs
|
||||
+
|
||||
+ openSUSE-*)
|
||||
+ TARGET_VERSION=${DISTRO:9}
|
||||
+ REPO="http://download.opensuse.org/distribution/$TARGET_VERSION/repo/oss/"
|
||||
+ UPDATE_REPO="http://download.opensuse.org/update/$TARGET_VERSION/"
|
||||
+ if test $TARGET_VERSION = "tumbleweed"; then
|
||||
+ REPO="http://download.opensuse.org/tumbleweed/repo/oss/"
|
||||
+ call_zypper ar "$REPO" "openSUSE"
|
||||
+ call_zypper ar "$UPDATE_REPO" "openSUSE udpate"
|
||||
+ else
|
||||
+ REPO="http://download.opensuse.org/distribution/leap/$TARGET_VERSION/repo/oss/"
|
||||
+ UPDATE_REPO="http://download.opensuse.org/update/leap/$TARGET_VERSION/oss/"
|
||||
+ call_zypper ar "$REPO" "openSUSE"
|
||||
+ call_zypper ar "$UPDATE_REPO" "openSUSE-udpate"
|
||||
+ fi
|
||||
+ call_zypper in --no-recommends -t pattern base
|
||||
+ ;;
|
||||
+esac
|
||||
@ -285,9 +290,9 @@ Index: libvirt-7.9.0/docs/manpages/virt-create-rootfs.rst
|
||||
+
|
||||
+Set the name of distribution to use for the root file system.
|
||||
+
|
||||
+As of now, only SLED-I<XXX>, SLES-I<XXX> and openSUSE-I<XXX> are implemented
|
||||
+where I<XXX> is the version number. Note that SUSEConnect is required to
|
||||
+handle SLE distributions.
|
||||
+As of now, only SLED-<XXX>, SLES-<XXX> and openSUSE-<XXX> are implemented
|
||||
+where <XXX> is the version number. Examples are openSUSE-15.3, openSUSE-tumbleweed,
|
||||
+and SLES-15.3. Note that SUSEConnect is required to handle SLE distributions.
|
||||
+
|
||||
+``-a``, ``--arch``
|
||||
+
|
||||
|
Loading…
Reference in New Issue
Block a user